Creator Tools Find Social Profiles API

Enter a creator's handle from one social media platform and get all of their social profiles.

10 creditsper request
GET
/v1/find-social-profiles
curl "https://api.scrapecreators.com/v1/find-social-profiles" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 1000000,
  "credits_charged": 10,
  "source": {
    "platform": "instagram",
    "handle": "creator",
    "url": "https://www.instagram.com/creator"
  },
  "profiles": [
    {
      "platform": "instagram",
      "handle": "creator",
      "url": "https://www.instagram.com/creator",
      "confidence": 1,
      "evidence": [
        "source_profile",
        "link_in_bio",
        "verified_profile_link"
      ]
    },
    {
      "platform": "youtube",
      "handle": "creator",
      "url": "https://www.youtube.com/@creator",
      "confidence": 0.9,
      "evidence": [
        "same_handle_match",
        "shared_website",
        "website_link"
      ]
    },
    {
      "platform": "tiktok",
      "handle": "creator",
      "url": "https://www.tiktok.com/@creator",
      "confidence": 1,
      "evidence": [
        "link_in_bio"
      ]
    },
    {
      "platform": "facebook",
      "handle": "creator-page",
      "url": "https://www.facebook.com/creator-page",
      "confidence": 0.95,
      "evidence": [
        "google_search_match",
        "display_name_match",
        "reciprocal_profile_link"
      ]
    },
    {
      "platform": "linkedin",
      "handle": "creator",
      "url": "https://www.linkedin.com/in/creator",
      "confidence": 0.95,
      "evidence": [
        "verified_profile_link"
      ]
    }
  ],
  "link_in_bio_urls": [
    "https://linktr.ee/creator"
  ],
  "expanded_website_urls": [
    "https://creator.com/"
  ],
  "source_linked_profile_urls": [
    "https://x.com/creator"
  ],
  "failed_source_linked_profile_urls": [],
  "same_handle_candidate_urls": [
    "https://www.tiktok.com/@creator",
    "https://www.youtube.com/@creator"
  ],
  "partial": false,
  "failed_link_in_bio_urls": [],
  "failed_website_urls": [],
  "same_handle_search_partial": false,
  "google_search_used": true,
  "google_search_failed": false,
  "google_candidate_urls": [
    "https://www.facebook.com/creator-page"
  ],
  "google_candidate_link_in_bio_urls": [
    "https://linktr.ee/creator"
  ],
  "failed_google_candidate_link_in_bio_urls": [],
  "verified_google_candidate_urls": [
    "https://www.facebook.com/creator-page"
  ],
  "failed_google_candidate_urls": [],
  "google_verification_partial": false
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

platform
string
required

Source social platform

Example:
instagram
Available options:
instagram,
tiktok,
youtube,
x,
twitter,
facebook
handle
string
required

Creator handle without a profile URL. A leading @ is optional.

Example:
creator
cache_max_age
string

If we have a response in the cache that is this many days old or newer, return the cached response (0 credits, with "cached": true and a "cached_at" timestamp). Otherwise, scrape a live result (10 credits). See the Caching page for details.

Example:
7d
Available options:
1d,
3d,
7d,
14d,
30d